%%
[\t\n\r ]+ /* ‹ó”’‚Í–³Ž‹ */

HIERARCHY     return(HIERARCHY);
ROOT          return(ROOT);
OFFSET        return(OFFSET);
CHANNELS      return(CHANNELS);
JOINT         return(JOINT);
Xposition     return(X_POSITION);
Yposition     return(Y_POSITION);
Zposition     return(Z_POSITION);
Xrotation     return(X_ROTATION);
Yrotation     return(Y_ROTATION);
Zrotation     return(Z_ROTATION);
Xscale        return(X_SCALE);
Yscale        return(Y_SCALE);
Zscale        return(Z_SCALE);
"End Site"    return(END_SITE);
"{"           return(L_BRACE);
"}"           return(R_BRACE);
MOTION        return(MOTION);
"Frames:"     return(FRAMES);
"Frame Time:" return(FRAME_TIME);

[a-zA-Z_][a-zA-Z0-9_\.]*                   return(IDENTIFIER);
[\+\-]?[0-9]*                              return(INTEGER);
[\+\-]?[0-9]*\.[0-9]*([eE][\+\-]?[0-9]+)?  return(REAL_NUMBER);
%%
